- name: Install SMB Client Role
  hosts: all
  vars:
    ansible_port: 5986
    ansible_connection: psrp
    ansible_psrp_cert_validation: ignore
    smb_user_read: smb_read
    smb_user_full: smb_admin
    smb_share_name: New-Share
  pre_tasks:
    - name: Create Local User
      ansible.windows.win_user:
        name: "{{ item }}"
        password: "{{ ansible_password }}"
        groups:
          - Users
          - Remote Desktop Users
      loop:
        - "{{ smb_user_full }}"
        - "{{ smb_user_read }}"
  roles:
    - win_smb_client
